{% extends 'dashboard/dashboard_content.html' %}


{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-clock-o"></i>
                Pending Attendances
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for course_allotment in course_allotment_list %}
                        {% if forloop.counter == 1 %}
                            <li {% if selected_allotment_pk == course_allotment.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ course_allotment.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ course_allotment.display_text }}
                                </a>
                            </li>
                        {% else %}
                            <li {% if selected_allotment_pk == course_allotment.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="false"
                                   id={{ course_allotment.staff_course_instance.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {{ course_allotment.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <div class="tab-content">
                    <div class="row">
                        <div class="col-md-8 col-md-offset-2">
                            {% if pending_periods %}
                                <table class="table table-bordered table-responsive table-striped text-center">
                                    <thead>
                                    <tr>
                                        <th class="text-center">Date</th>
                                        <th class="text-center">Day</th>
                                        <th class="text-center">Hour</th>
                                        <th class="text-center">Can mark upto</th>
                                        <th class="text-center">Mark</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for entry in pending_periods|dictsort:"date" %}
                                        <tr>
                                            {% if entry.bulk == False %}
                                                <td>{{ entry.display_date }}</td>
                                                <td>{{ entry.date | date:"l" }}</td>
                                                <td>{{ entry.start_hour }}</td>
                                                <td>{{ entry.grant_period }}</td>
                                                <td>
                                                    <button class="btn btn-small btn-primary"
                                                            onclick="window.location='{% url 'attendance' semester_pk=entry.semester course_id=entry.course_id hour=entry.start_hour attendance_date=entry.date %}'">
                                                        Mark attendance
                                                    </button>
                                                </td>
                                            {% else %}
                                                <td>{{ entry.display_date }}</td>
                                                <td>{{ entry.date | date:"l" }}</td>
                                                <td>{{ entry.start_hour }} - {{ entry.end_hour }}</td>
                                                <td>{{ entry.grant_period }}</td>
                                                <td>
                                                    <button class="btn btn-small btn-primary"
                                                            onclick="window.location='{% url 'bulk_attendance' semester_pk=entry.semester course_id=entry.course_id attendance_date=entry.date start_hour=entry.start_hour end_hour=entry.end_hour %}'">
                                                        Mark attendance
                                                    </button>
                                                </td>
                                            {% endif %}
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        var curent_subject;
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {
                curent_subject = this.id;
                //alert(this.id)

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_allotment_pk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });
        $('document').ready(function () {
            $('#mark_attendance').click(function () {
                var selected_period = $('#select_pending_period').val();
                //alert(selected_period);
                split_array = selected_period.split('_');
                //alert(split_array);
                {#                window.location = '{% url 'attendance' course_id=selected_course attendance_date='2016-06-06' hour='xyz' %}'.replace('2016-06-06',split_array[0]).replace('xyz',split_array[1]);#}
            });
        });
    </script>

{% endblock %}